.uimodal{
    position: fixed;
  top: 0px;
  right: 0px;
  content: '';
  background-color: rgba(0, 0, 0, 0.7);
  overflow: hidden;

  width: 100%;
  height: 100%;
  z-index: 109;
  text-align: center;


    -webkit-overflow-scrolling: touch;
}

.uimodal:before{
  content: '';
display: inline-block;
height: 100%;
vertical-align: middle;
}

.uimodal .data{
  display: inline-flex;
  flex-direction: column;
  background-color: var(--fb-background-color-gray);
  vertical-align: middle;
  width: 100%;
  text-align: left;
  position: relative;
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.45);
  max-height: 100%;
  border-radius: 15px;
}
.uimodal .data.short{
  max-width: 400px;
}
.uimodal .data.full{
  max-width: 800px;
  background-color: white;
}
.uimodal .data > .close{
  position: absolute;
  right: 7px;
  font-size: 17px;
  top: 0;
  cursor: pointer;
  border-radius: 5px;
  padding: 7px;
  text-align: center;
  z-index: 3;
  aspect-ratio: 1/1;
  width: 40px;
  height: 40px;
  display: flex;
  align-items: center;
  justify-content: center;
  right: 0;
}

.uimodal .data > .title{
  padding: 30px  30px  0px  30px;
  min-height: 70px;
  /* font-size: 1.5rem; */
  width: 100%;
  font-weight: bold;
}
.uimodal .disable_title > .title{
display: none;
}

.uimodal .data > .content{
  padding: 0px 30px;
  flex: 1;
  min-height: 0;
  overflow-y: auto;
  overscroll-behavior: none;
  width: 100%;
}
.uimodal .data > .actions > .button{
  margin-left: 5px;
  margin-right: 5px;
}
.uimodal .data > .actions{
  padding: 20px 30px 20px 30px;
  text-align: center;
  width: 100%;
  display: flex;
  gap: 0.5rem;
  flex-wrap: wrap;
  justify-content: center;
}
.uimodal .disable_actions > .actions,
.uimodal .data.no_action > .actions{
  display: none;
}

/* SIZE */




/* COLORS */

.uimodal .data.transparent{
  background-color: transparent;
  box-shadow: none;
}
.uimodal .data.transparent .close{
  color: white;
}
.uimodal .data.transparent .title{
  border: 0px;
  color: white;
}
.uimodal .data.transparent .content > .ui.header,
.uimodal .data.transparent .content{
  color: white;
}
.uimodal .data.transparent .actions{
  border: 0px;
  color: white;
}



/* ALIGN CONTENT */

.uimodal .data .title.center,
.uimodal .data .content.center,
.uimodal .data .actions.center{
  text-align: center;
}

.uimodal .data .hint{
  text-align: justify;
}

/* MOBILE */


@media only screen and (max-width: 768px) {

   .uimodal .data.short{
       width: 80%;
   }


  .uimodal .data.full{
      width: 100%;
      height: 100%;
      max-width: 100%;
      background-color: white;
  }



  /* COLORS */

  .uimodal .data.transparent{
      background-color: transparent;
      box-shadow: none;
  }
  .uimodal .data.transparent .close{
      color: white;
  }
  .uimodal .data.transparent .title{
      border: 0px;
      color: white;
  }
  .uimodal .data.transparent .content > .ui.header,
  .uimodal .data.transparent .content{
      color: white;
  }
  .uimodal .data.transparent .actions{
      border: 0px;
      color: white;
  }

  .uimodal .data > .actions{
    flex-direction:column;
  }

}


/* ADAP TYPE */

@media only screen and (min-width: 769px) {
.uimodal.adap{
  background-color: transparent;
  position: absolute;
  width: 100%;
  left: 0;
  overflow: inherit;
  top: 0;
}
.uimodal.adap:before{
  display: none;
}
.uimodal.adap .data > .title{
  display: none;
}
.uimodal.adap .data > .close{
  display: none;
}
.uimodal.adap .data > .actions{
  display: none;
}
.uimodal.adap .data > .content{
  padding: 30px;
}
.uimodal.adap .data{
    max-width: 800px;
    background-color: white;
    position: absolute;
    border-radius: 5px;
    top: 0;
    max-width: 100%;
    left: 0;
    max-height: 500px;
    border: 1px #dededf solid;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.07);
}
}

@media only screen and (max-width: 768px) {
.uimodal .data{
  height: 100%;
}
.uimodal.short .data,
.uimodal.float .data{
  height: auto;
}
.uimodal.float .data{
  width: 90%;
  max-height: 85vh;
  border-radius: 15px;
}
}
